﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Drawing;

namespace SimpleDataBinding
{
    public class Data : INotifyPropertyChanged
    {

        public Data()
        {
            FullName = "";
        }

        String fullName;
        public String FullName
        {
            get { return fullName; }
            set
            {
                if (fullName == value ||
                    (fullName != null && fullName.Equals(value))) return;
                this.fullName = value;
                if (PropertyChanged != null)
                {
                    PropertyChanged(this, new PropertyChangedEventArgs("FullName"));
                }
            }

        }

        #region INotifyPropertyChanged Members

        [field: NonSerialized]
        public event PropertyChangedEventHandler PropertyChanged;

        #endregion
    }
}
